from os.path import getsize as gs

class getSize:

    def b(file):
        '''Returns file size in Bytes'''
        bytes = gs(file)
        out = bytes
        return out


    def kb(file):
        '''Returns file size in KiloBytes'''
        bytes = gs(file)
        out = bytes / 1024
        return out


    def mb(file):
        '''Returns file size in MegaBytes'''
        bytes = gs(file)
        out = bytes / 1024000
        return out


    def gb(file):
        '''Returns file size in GigaBytes'''
        bytes = gs(file)
        out = bytes / 1024000000
        return out



class compareSize:

    def size_difference(file_a, file_b):
        '''
        Calculates how much difference, in size of MegaBytes, two files have
        
        ---
        size_difference(`file_a`, `file_b`)

        -> Returns absolute value of MegaByte difference between files
        '''
        out = round(abs(getSize.mb(file_a) - getSize.mb(file_b)), 3)
        return out


    def larger(file_a, file_b):
        '''
        Checks whether file_a is larger in size that file_b

        -> Returns True if `file_a` is larger than `file_b`
        '''
        size_a = getSize.kb(file_a)
        size_b = getSize.kb(file_b)

        if size_a > size_b:
            return True
        return False



class compareContent:

    def equality(file_a, file_b):
        """
        Checks if two files have the same contents

        ---
        equality(`file_a`, `file_b`)

        -> Returns `True` if files are the same
        """

        a = open(file_a, 'r')
        file_1 = a.read()
        a.close()

        b = open(file_b, 'r')
        file_2 = b.read()
        b.close()

        if file_1 == file_2:
            return True
        elif file_1 != file_2:
            return False

